#!/bin/bash
# 
# The author disclaims copyright to the included source code. It is placed in
# the public domain. In place of a lengthy legal notice, here is a blessing:
# 
# 	May you do good and not evil.
# 	May you find forgiveness for yourself and forgive others.
# 	May you share freely, never taking more than you give.
# 
# $Id: makedist.sh,v 1.10 2003/10/04 23:50:22 pyromage Exp $
#

TMP=/tmp
TMPDIST=$TMP/emotion
VERSION=`cat VERSION`
BASENAME=emotion-$VERSION

if [ "$1" == "--bootstrap" ]; then
	MODE="bootstrap"
	BASENAME=$BASENAME-bootstrap
	echo "*** Creating bootstrap distribution"
else
	echo "*** Building normal distribution"
	MODE="normal"
fi

cd ..
rm -fr $TMPDIST
cp -r emotion $TMPDIST
cd $TMP

# clean the distribution some more
echo "Cleaning dist"
make -sC $TMPDIST distclean

# prune off the files we don't want in the
# distribution
find $TMPDIST -name CVS | xargs rm -rf
find $TMPDIST -name .cvsignore | xargs rm -rf
if [ "$MODE" = "bootstrap" ]; then
	rm -f $TMPDIST/html/downloads/emotion-$VERSION.tar.{gz,bz2}
else
	cat $TMPDIST/exclude.txt | while read; do
		echo "Removing $TMPDIST/$REPLY"
		rm -rf $TMPDIST/$REPLY
	done
fi

# Tar up the distributions
echo -n "Building tar.gz... "
tar cf - emotion/ | gzip -c -9 - > tmp.tar.gz
echo "Done"

echo -n "Building tar.bz2... "
tar cjf tmp.tar.bz2 emotion/
echo "Done."

# Copy the tarballs to their destinations
cd -
mv $TMP/tmp.tar.gz emotion/$BASENAME.tar.gz
mv $TMP/tmp.tar.bz2 emotion/$BASENAME.tar.bz2
rm -rf $TMPDIST
