/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: aboutdialog.cpp,v 1.8 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#include "aboutdialog.h"
#include "icons.h"
#include "version.h"

using namespace emotion;

AboutDialog::AboutDialog(QWidget *parent, const char *name, bool modal, WFlags f)
	: QDialog (parent, name, modal, f),
	_layout (this, 8),
	_logo ("eMotion", this),
	_about ("Version " VERSIONSTRING "\n"
			"\n"
			"http://www2.gvsu.edu/~swietonm/emotion\n"
			"\n"
			"Mike Swieton (Code) <mike@swieton.net>\n"
			"Micah Abresch (Art) <This space intentionally filled>\n"
			"\n", this),
	_license(
			"The author disclaims copyright to this program. It is placed in\n"
			"public domain. In place of a lengthy legal notice, here is a blessing:\n"
			"\n"
			"	May you do good and not evil.\n"
			"	May you find forgiveness for yourself and forgive others.\n"
			"	May you share freely, never taking more than you give.\n"
			"\n",
			this),
	_ok ("&Ok", this)
{
	_layout.addWidget (&_logo);

	_logo.setPixmap (QPixmap(emotionIcons::logo));
	_layout.addWidget (&_about);
	_layout.addWidget (&_license);
	_layout.addWidget (&_ok, 0, AlignRight);

	_ok.setAutoDefault (TRUE);
	_ok.setDefault (TRUE);
	_ok.setMaximumWidth(100);

	setCaption ("About eMotion");

	QObject::connect (&_ok, SIGNAL(clicked()), this, SLOT(accept()));
}

AboutDialog::~AboutDialog()
{
}
