/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: advancedoptions.h,v 1.6 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#ifndef __ADVANCEDOPTIONS_H
#define __ADVANCEDOPTIONS_H

#include <qvariant.h>
#include <qwidget.h>

#include "playoptions.h"

class QCheckBox;
class QGridLayout; 
class QHBoxLayout; 
class QLabel;
class QSpinBox;
class QVBoxLayout; 

namespace emotion
{
	/** A custom widget which is a panel displaying some of Mplayer's options */
	class AdvancedOptions : public QWidget
	{ 
			Q_OBJECT
		public:
			AdvancedOptions( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
			~AdvancedOptions();

			/** Return the PlayOptions object that contains the options set on
			 * this panel */
			PlayOptions getOptions() const;

		private:
			QCheckBox   *_index;
			QCheckBox   *_ninocache;
			QLabel      *_volumelabel;
			QSpinBox    *_volume;

			QHBoxLayout *_layout;
	};
}

#endif // ADVANCEDOPTIONS_H
