/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: console.cpp,v 1.3 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#include <qtextedit.h>

#include "console.h"

using namespace emotion;

const int CONTENT_LEN=2048;

Console::Console(QWidget *parent, const char *name)
	: QTextEdit(parent, name)
{
	setSizePolicy(QSizePolicy(QSizePolicy::MinimumExpanding, QSizePolicy::MinimumExpanding));

	setMinimumSize(QSize(400,200));

	setReadOnly(TRUE);
	setWordWrap(NoWrap);
}

Console::~Console()
{
}

void Console::append(const QString &s)
{
	QString newtext (text());
	newtext += s;

	QTextEdit::setText(s);

	if (newtext.length() > 2048)
		setText(newtext.right(2048));
	else
		setText(newtext);

	scrollToBottom();
}
