/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: consoledialog.cpp,v 1.3 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#include <qdialog.h>
#include <qlayout.h>
#include <qstring.h>

#include "console.h"
#include "consoledialog.h"

using namespace emotion;

ConsoleDialog::ConsoleDialog(QWidget *parent, const char *name, WFlags f)
	: QDialog (parent, name, f)
{
	setCaption("Mplayer Output");
	setSizeGripEnabled(TRUE);

	_layout = new QVBoxLayout(this);
	_layout->setAutoAdd(TRUE);

	_console = new Console(this);
}

ConsoleDialog::~ConsoleDialog()
{
}

void ConsoleDialog::append(const QString &s)
{
	if (isVisible())
		_console->append(s);
}
