/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: dvddialog.cpp,v 1.3 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#include "dvddialog.h"

using namespace emotion;

DVDDialog::DVDDialog(QWidget *parent, const char *name, bool modal, WFlags f)
	: QDialog (parent, name, modal, f),
	_grid(this),
	_buttonbar(this),
	_titlelabel("DVD Title:", this),
	_title(1, 25, 1, this),
	_cancel ("&Cancel", &_buttonbar),
	_ok ("&Ok", &_buttonbar)
{
	_grid.expand (3, 2);
	_grid.setMargin (6);
	_grid.setSpacing (6);

	int row = 0;

	_grid.addWidget (&_titlelabel, row, 0);
	_grid.addWidget (&_title, row, 1);
	row++;

	_grid.addMultiCellWidget (&_buttonbar, _grid.numRows()-1,
			_grid.numRows()-1, 0, _grid.numCols()-1, AlignRight);

	_ok.setAutoDefault (TRUE);
	_ok.setDefault (TRUE);

	QObject::connect (&_cancel, SIGNAL(clicked()), this, SLOT(reject()));
	QObject::connect (&_ok, SIGNAL(clicked()), this, SLOT(accept()));
}

DVDDialog::~DVDDialog()
{
}

int DVDDialog::getTitle() const
{
	return _title.value();
}
