/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: exception.h,v 1.5 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#ifndef __EXCEPTION_H
#define __EXCEPTION_H

#include <stdexcept>

#include <qstring.h>

namespace emotion
{
	/** Represents an error that has occured */
	class Exception : public std::exception
	{
		public:
			/** Construct with no error message */
			Exception ();
			/** Construct with the specified error message */
			Exception (const QString &message);

			/* destructor */
			virtual ~Exception () throw();

			/** Get the error message */
			virtual QString getMessage () const;

		private:
			/** the error message */
			QString _message;
	};
}

#endif
