/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: globalconfiguration.cpp,v 1.2 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#include "globalconfiguration.h"

using namespace emotion;

auto_ptr<GlobalConfiguration> GlobalConfiguration::_instance;

GlobalConfiguration::GlobalConfiguration ()
	: FileConfiguration(QString(getenv("HOME")) + "/.emotionrc")
{
	setDefaults ();
}

GlobalConfiguration::~GlobalConfiguration ()
{
}

GlobalConfiguration *GlobalConfiguration::instance ()
{
	if (_instance.get() == NULL)
		_instance.reset(new GlobalConfiguration());
	return _instance.get();
}

void GlobalConfiguration::setDefaults ()
{
	if (getString("directory").isNull())
		setString ("directory", getenv("HOME"));
	if (getString("extensionmatch").isNull())
		setString ("extensionmatch", "\\.(avi|asf|mpg|wmv)");
	if (getString("fullscreen").isNull())
		setBool ("fullscreen", false);

	if (getString("geometry_xpos").isNull())
		setInt("geometry_xpos", 160);
	if (getString("geometry_ypos").isNull())
		setInt("geometry_ypos", 160);

	if (getString("geometry_xsize").isNull())
		setInt("geometry_xsize", 600);
	if (getString("geometry_ysize").isNull())
		setInt("geometry_ysize", 400);

	if (getString("mixer").isNull())
		setString ("mixer", "/dev/mixer");
	if (getString("mplayer").isNull())
		setString ("mplayer", "mplayer");
}
