/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: globalconfiguration.h,v 1.3 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#ifndef __GLOBALCONFIGURATION_H
#define __GLOBALCONFIGURATION_H

#include "fileconfiguration.h"

namespace emotion
{
	/** Represents the global configuration file (i.e. the .emotionrc file) */
	class GlobalConfiguration
		: public FileConfiguration
	{
		public:
			static GlobalConfiguration *instance ();
			~GlobalConfiguration();

		private:
			GlobalConfiguration ();
			static auto_ptr <GlobalConfiguration> _instance;

			void setDefaults ();
	};
}

#endif
