/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: iconset.h,v 1.3 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#ifndef __ICONSET_H
#define __ICONSET_H

namespace emotion
{
	/** Represents a set of icons, one for every state of a button. Does not
	 * ever touch or change the images. */
	class IconSet
	{
		public:
			IconSet(const char *, const char *, const char *);
			IconSet(const QPixmap &normal, const QPixmap &active, const QPixmap &down);
			IconSet(const IconSet &off, const IconSet &on);
			IconSet(const IconSet &);
			virtual ~IconSet();

			enum
			{
				OFF,
				ON,
				NUMTOGGLESTATES
			};

			enum
			{
				NORMAL,
				ACTIVE,
				DOWN,
				NUMBUTTONSTATES
			};

			virtual QPixmap getPixmap(const int buttonstate, const int
					togglestate = OFF) const;

		private:
			QPixmap *_pixmaps[NUMTOGGLESTATES][NUMBUTTONSTATES];

			void copyToState(int state, const QPixmap &normal, const QPixmap
					&active, const QPixmap &down);
	};
}

#endif
