/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: main.cpp,v 1.10 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#include <iostream>

#include <qapplication.h>
#include <qmainwindow.h>

#include "emotionapp.h"
#include "exception.h"

using namespace emotion;
using namespace std;

int main (int argc, char **argv)
{
	try
	{
		QApplication qapp(argc, argv);

		emotionApp *app;
		app = emotionApp::create(argc, argv);

		/* setup and display the main window */
		qapp.setMainWidget (app->getView());

		app->show ();

		/* cleanup */
		int status = qapp.exec ();
		delete app;

		return status;
	} catch (Exception &e)
	{
		cerr << "Unhandled exception: " << e.getMessage () << endl;
	} catch (...)
	{
		cerr << "Unhandled unknown exception." << endl;
	}

	return -1;
}
