/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: mplayerfile.h,v 1.4 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#ifndef __MPLAYERFILE_H
#define __MPLAYERFILE_H

#include <qfile.h>
#include <qstring.h>

#include "playoptions.h"

namespace emotion
{
	/** A video file mplayer can try to play */
	class MplayerFile
	{
		public:
			/** Create a file to be played with the specified options that
			 * refers to the specified file */
			MplayerFile (const QString &, const PlayOptions &options);
			/** copy ctor */
			MplayerFile (const MplayerFile &);
			virtual ~MplayerFile();

			/** Return the display name of this file */
			virtual QString getName() const;
			virtual void setName(const QString&);
			/** return the absolute path to this file */
			virtual QString getPath() const;

			/** get the options to be used when playing this file */
			virtual PlayOptions getOptions() const;

		private:
			/** display name */
			QString _name;
			/** absolute path */
			QString _absname;

			PlayOptions _options;
	};
}

#endif
