/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: optionsdialog.h,v 1.10 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#ifndef __OPTIONSDIALOG_H
#define __OPTIONSDIALOG_H

#include <qcheckbox.h>
#include <qdialog.h>
#include <qhbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qlineedit.h>
#include <qpushbutton.h>

namespace emotion
{
	/** Configuration dialog */
	class OptionsDialog
		: public QDialog
	{
		Q_OBJECT
		public:
			OptionsDialog(QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0);
			virtual ~OptionsDialog ();

		protected slots:
			virtual void accept ();

			virtual void browseMplayer ();
		
		private:
			QGridLayout _grid;
			QHBox _buttonbar;

			QLabel _mplayerlabel;
			QLineEdit _mplayeredit;
			QPushButton _mplayerbrowse;

			QLabel _mixerlabel;
			QLineEdit _mixeredit;

			QCheckBox _fullscreen;

			QLabel _aolabel;
			QLineEdit _aoedit;

			QLabel _displaylabel;
			QLineEdit _displayedit;

			QPushButton _cancel;
			QPushButton _ok;

			void updateDisplay ();
	};
}

#endif
