/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: playoptions.cpp,v 1.3 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#include <vector>

#include <qstring.h>

#include "configuration.h"
#include "playoptions.h"

using namespace emotion;
using namespace std;

PlayOptions::PlayOptions()
	: _volboost(1)
{
}

PlayOptions::PlayOptions(const PlayOptions &opts)
	: Configuration(opts),
	_volboost(opts._volboost)
{
}

PlayOptions::~PlayOptions ()
{
}

vector<QString> PlayOptions::getOptionStrings () const
{
	vector<QString> argv;

	const_iterator it;

	for (it = begin();
			it != end();
			it++)
	{
		// if it's both a boolean and enabled (if it's not enabled, who
		// cares?). Note that you can 'enable' a disablement: i.e. -nocache is
		// true if it is to be provided.
		if (it->second == "true")
			argv.push_back (it->first);
		else if (it->second == "false")
			// no op
			;
		else
		{
			argv.push_back (it->first);

			if (it->second.length() > 0)
				argv.push_back (it->second);
		}
	}

	return argv;
}

int PlayOptions::getVolumeBoost () const
{
	return _volboost;
}

void PlayOptions::setVolumeBoost (int vol)
{
	_volboost = vol;
}
