/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: sighandler.h,v 1.4 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#ifndef __SIGHANDLER_H
#define __SIGHANDLER_H

namespace emotion
{
	/** Allow a class to receive a signal */
	class SignalHandler
	{
		public:
			SignalHandler () {};
			inline virtual ~SignalHandler () {};

			virtual void handleSignal (int) = 0;
	};

	/** attempt to register an object as a signal handler for the specified
	 * signal, if there is not any current handler for that signal. An
	 * exception is reported to the ErrorMediator if this is not possible */
	void register_handler (int sig, SignalHandler *h);
	/** unregister the specified handler object */
	void unregister_handler (SignalHandler *h);
}

#endif
